<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	 <xsl:param name="title-descriptive" />
	
	<xsl:output method="html" indent="yes" />

	<xsl:template match="directory">
		<table width="100%">
			<tr>
				<xsl:if test="@is-localized='1'"><th class="hide"> </th><th class="hide"> </th></xsl:if>
				<xsl:apply-templates select="list-entry/entry" />
				<xsl:apply-templates select="list-entry/status" />
			</tr>
			
			<xsl:apply-templates select="list-record/record">
				<xsl:sort
					select="list-entry/entry[position()=1]/list-record-field/record-field[position()=1]/record-field-value" />
			</xsl:apply-templates>
		</table>
	</xsl:template>

	<xsl:template match="record">
		<tr>
			<xsl:variable name="x" select="@x" />
			<xsl:if test="$x!='0.0'">
				<td class="hide x"><xsl:value-of disable-output-escaping="yes" select="@x" /></td>
				<td class="hide y"><xsl:value-of disable-output-escaping="yes" select="@y" /></td>
			</xsl:if>
			<xsl:apply-templates select="list-entry/entry/list-record-field">
				<xsl:with-param name="id-directory-record" select="@id" />
			</xsl:apply-templates>
			<td><xsl:value-of disable-output-escaping="yes"	select="status" /></td>
		</tr>
	</xsl:template>

	<xsl:template match="list-record-field">
		<xsl:param name="id-directory-record" select="0" />
		<td>
			<xsl:choose>
				<xsl:when test="position()=1">
					<a
						href="jsp/site/Portal.jsp?page=directory&amp;id_directory_record={$id-directory-record}&amp;view_directory_record=1"
						title="{$title-descriptive}" alt="{$title-descriptive}">
						<xsl:apply-templates select="record-field" />
					</a>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="record-field" />
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>

	<xsl:template match="entry">
		<th>
			<xsl:value-of select="title" />
		</th>
	</xsl:template>

	<xsl:template match="record-field">
		<xsl:value-of disable-output-escaping="yes"
			select="record-field-value" />
		<xsl:apply-templates select="file" />
		<br />
	</xsl:template>

	<xsl:template match="file">
		<xsl:variable name="id" select="@id" />
		<xsl:variable name="type" select="@type-entry" />
		<xsl:variable name="height" select="./height" />
		<xsl:variable name="width" select="./width" />
		<xsl:if test="child::node()">
			<xsl:choose>
				<xsl:when test="$type='10'">
					<xsl:choose>
						<xsl:when test="$height!='0' and $width!='0'">
							<img src="image?resource_type=directory_entry_img&amp;id={$id}" height="{$height}" width="{$width}"  />
						</xsl:when>
						<xsl:when test="$height='0' and $width!='0'">
							<img src="image?resource_type=directory_entry_img&amp;id={$id}" width="{$width}"  />
						</xsl:when>
						<xsl:when test="$height!='0' and $width='0'">
							<img src="image?resource_type=directory_entry_img&amp;id={$id}" height="{$height}" />
						</xsl:when>
						<xsl:otherwise>
							<img src="image?resource_type=directory_entry_img&amp;id={$id}"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					
					<a  href="jsp/site/plugins/directory/DoDownloadFile.jsp?id_file={$id}">
					<xsl:value-of disable-output-escaping="yes"
						select="title" />( <xsl:value-of disable-output-escaping="yes"
						select="size" /> O)
					</a>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<br />
	</xsl:template>
	<xsl:template match="status">
		<xsl:if test="@display='yes'">

				<th>
					statut<br/><br/>
				</th>

		</xsl:if>
	</xsl:template>
</xsl:stylesheet>


